echo off
cls
if not exist DEMOINST.EXE goto error
if !==%1! goto auto
goto manual

:ERROR
cls
echo.
echo --------------------------------------------------
echo   ERROR
echo. 
echo   You must launch OS2INST from the prompt of
echo   the drive that contains the IBM C Set ++ Demo
echo   installation program.
echo.
echo   Please correct and try again.
echo --------------------------------------------------
echo.
goto exit


:AUTO
echo.
echo.
echo IBM C Set ++ Demo --- OS/2 Installation
echo.
echo Requires 2.9 MB of free space on your hard disk.
echo.
echo To install on C:\CSETDEMO, press any key now...
echo.
echo To install on a drive other than C: ...
echo.
echo   1. Press [CTRL] [C] to exit this batch file
echo   2. Open an OS/2 Window (The OS/2 Window icon
echo        is found in the Command Prompts folder)
echo   3. Make the CD drive the current drive.
echo        For example, type E: [ENTER] if the demo
echo        CD is in drive E:)
echo   4. Change to the directory containing the install
echo        program:  CD\CSETDEMO\INSTALL
echo   5. Type OS2INST X 
echo        where: X is the letter of the desired drive
echo               DO NOT add a colon (:) to the letter
echo.
echo        example: OS2INST D installs onto D:\CSETDEMO
echo.
pause
cls
echo.
echo Now installing the IBM C Set ++ Demo on C:\CSETDEMO...
echo.
md c:\CSETDEMO
echo on
DEMOINST /eC:\CSETDEMO
echo off
if errorlevel 1 goto space
cls
c:
cd\CSETDEMO
goto end

:MANUAL
if exist %1:\*.* goto OK

:DRIVE
cls
echo.
echo --------------------------------------------------
echo   ERROR
echo.
echo   You have specified an invalid drive parameter
echo.
echo   (%1:) if you see two colons here, please
echo         retype OS2INST X without adding a colon
echo.
echo         X = the letter of the desired hard drive
echo.
echo   Please correct and try again.
echo --------------------------------------------------
echo.
goto exit

:SPACE
cls
echo.
echo --------------------------------------------------
echo   ERROR
echo.
echo   There is insufficient space on your hard drive
echo.
echo   Please free at least 2,970,000 bytes and retry
echo.
echo   - OR -
echo.
echo   You have specified an invalid drive parameter
echo.
echo   (%1:) if you see two colons here, please
echo         retype OS2INST X without adding a colon
echo.
echo         X = the letter of the desired hard drive
echo.
echo   Please correct and try again.
echo --------------------------------------------------
echo.
goto exit

:OK
echo.
echo Now installing the IBM C Set ++ demo on %1:\CSETDEMO...
echo.
md %1:\CSETDEMO
echo on
DEMOINST /e%1:\CSETDEMO
echo off
if errorlevel 1 goto space
cls
%1:
cd\CSETDEMO

:END
demoobj

cls
echo.
echo  Installation is complete.
echo.
echo  To view the C Set ++ demo,
echo  double-click the icon on your
echo  desktop labeled The Magic of C Set ++.
echo.
pause

:EXIT
